#ifndef FRIENDLY_H
#define FRIENDLY_H


#include "dsoundUtility.h"
#include "vector.h"
#include <vector>

class Friendly
{
	private:
	DSoundDevice* theDevice;	
	int remainingDuration;
	bool alive;
	Sound* beep;
	LPDIRECTSOUND3DBUFFER beep3d;
	int max_num;
	long tempVol;
	float rad;
	int X ;
	int Z ;

public:	
	Friendly(DSoundDevice *dsDevice, int MaxX, int MinX, int MaxZ, int MinZ, float range);
	~Friendly();
	void Spawn(int MaxX, int MinX, int MaxZ, int MinZ);
	void PrintDebug(int i);
	int GetX();
	int GetZ();
	float GetRad();
	void Dead();
	void Alive();
	bool GetStatus();
	void Near();
	void StopAllSound();

};

#endif

